Bug 117635 - [graphics/ImageMagick] add missing file in pkg-plist (fix make deinstall)
Summary: [graphics/ImageMagick] add missing file in pkg-plist (fix make deinstall)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-29 18:20 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2007-11-07 05:50 UTC (History)
0 users

See Also:


Attachments
file.diff (740 bytes, patch)
2007-10-29 18:20 UTC, Sunpoet Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh 2007-10-29 18:20:01 UTC
Add missing file in pkg-plist.

How-To-Repeat: % cd /usr/ports/graphics/ImageMagick
% make install
...
% make deinstall
===>  Deinstalling for graphics/ImageMagick
===>   Deinstalling ImageMagick-nox11-6.3.5.10_1
pkg_delete: unable to completely remove directory '/usr/local/lib/ImageMagick/modules-Q16/coders'
pkg_delete: unable to completely remove directory '/usr/local/lib/ImageMagick/modules-Q16'
pkg_delete: unable to completely remove directory '/usr/local/lib/ImageMagick'
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)
% ls -l /usr/local/lib/ImageMagick/modules-Q16/coders
total 1
-rw-r--r--  1 root  wheel  1434 Oct 26 03:26 exr.a
-rwxr-xr-x  1 root  wheel  1021 Oct 26 03:26 exr.la
-rwxr-xr-x  1 root  wheel  4197 Oct 26 03:26 exr.so
Comment 1 Sunpoet Po-Chuan Hsieh 2007-10-29 19:20:30 UTC
I apologize for giving out a wrong patch.
The truth is ImageMagick installs exr.* regardless of IMAGEMAGICK_OPENEXR option.
Since IMAGEMAGICK_OPENEXR is default off, we should use defined(WITH_...) instead of !defined(WITHOUT_...).

The correct patch file should be:
--- /usr/ports/graphics/ImageMagick/Makefile.orig	2007-10-29 16:33:56.000000000 +0800
+++ /usr/ports/graphics/ImageMagick/Makefile	2007-10-30 03:14:11.000000000 +0800
@@ -132,12 +132,10 @@
 PLIST_SUB+=		MODULES='@comment '
 .endif
 
-.if !defined(WITHOUT_IMAGEMAGICK_OPENEXR)
+.if defined(WITH_IMAGEMAGICK_OPENEXR)
 LIB_DEPENDS+=		IlmImf:${PORTSDIR}/graphics/OpenEXR
-PLIST_SUB+=		OPENEXR=""
 .else
 CONFIGURE_ARGS+=	--without-openexr
-PLIST_SUB+=		OPENEXR="@comment "
 .endif
 
 .if !defined(WITHOUT_IMAGEMAGICK_DJVU)
--- /usr/ports/graphics/ImageMagick/pkg-plist.orig	2007-10-05 13:32:09.000000000 +0800
+++ /usr/ports/graphics/ImageMagick/pkg-plist	2007-10-30 02:41:05.000000000 +0800
@@ -187,6 +187,9 @@
 %%TIFF%%%%MODULES%%lib/ImageMagick/modules-%%QBIT%%/coders/ept.a
 %%TIFF%%%%MODULES%%lib/ImageMagick/modules-%%QBIT%%/coders/ept.la
 %%TIFF%%%%MODULES%%lib/ImageMagick/modules-%%QBIT%%/coders/ept.so
+%%MODULES%%lib/ImageMagick/modules-%%QBIT%%/coders/exr.a
+%%MODULES%%lib/ImageMagick/modules-%%QBIT%%/coders/exr.la
+%%MODULES%%lib/ImageMagick/modules-%%QBIT%%/coders/exr.so
 %%MODULES%%lib/ImageMagick/modules-%%QBIT%%/coders/fax.a
 %%MODULES%%lib/ImageMagick/modules-%%QBIT%%/coders/fax.la
 %%MODULES%%lib/ImageMagick/modules-%%QBIT%%/coders/fax.so
@@ -310,9 +313,6 @@
 %%PNG%%%%MODULES%%lib/ImageMagick/modules-%%QBIT%%/coders/png.a
 %%PNG%%%%MODULES%%lib/ImageMagick/modules-%%QBIT%%/coders/png.la
 %%PNG%%%%MODULES%%lib/ImageMagick/modules-%%QBIT%%/coders/png.so
-%%OPENEXR%%%%MODULES%%lib/ImageMagick/modules-%%QBIT%%/coders/exr.a
-%%OPENEXR%%%%MODULES%%lib/ImageMagick/modules-%%QBIT%%/coders/exr.la
-%%OPENEXR%%%%MODULES%%lib/ImageMagick/modules-%%QBIT%%/coders/exr.so
 %%DJVU%%%%MODULES%%lib/ImageMagick/modules-%%QBIT%%/coders/djvu.a
 %%DJVU%%%%MODULES%%lib/ImageMagick/modules-%%QBIT%%/coders/djvu.la
 %%DJVU%%%%MODULES%%lib/ImageMagick/modules-%%QBIT%%/coders/djvu.so
Comment 2 Edwin Groothuis freebsd_committer 2007-10-29 22:56:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 mi+mill 2007-10-30 18:02:20 UTC
I started a thread with ImageMagick on the subject of it being impossible to 
disable OpenEXR:

http://studio.imagemagick.org/discussion-server/viewtopic.php?f=3&t=10018

Let's see, what the authors say...

 -mi
Comment 4 dfilter service freebsd_committer 2007-11-07 05:46:44 UTC
mi          2007-11-07 05:46:29 UTC

  FreeBSD ports repository

  Modified files:
    graphics/ImageMagick Makefile distinfo pkg-plist 
  Removed files:
    graphics/ImageMagick/files patch-leak patch-module-path 
                               patch-test-filter 
  Log:
  Update from 6.3.5-10 to 6.3.6-9. Some of our patches were accepted
  upstream. The tests should work with and without X11. Enable FPX by
  default. Resolve all related PRs.
  
  Approved by:    portmgr (linimon)
  PR:     67815
  PR:     117635
  PR:     116874
  PR:     114387
  
  Revision  Changes    Path
  1.249     +21 -14    ports/graphics/ImageMagick/Makefile
  1.111     +3 -3      ports/graphics/ImageMagick/distinfo
  1.2       +0 -12     ports/graphics/ImageMagick/files/patch-leak (dead)
  1.2       +0 -31     ports/graphics/ImageMagick/files/patch-module-path (dead)
  1.2       +0 -21     ports/graphics/ImageMagick/files/patch-test-filter (dead)
  1.108     +1 -0      ports/graphics/ImageMagick/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Mikhail Teterin freebsd_committer 2007-11-07 05:46:56 UTC
State Changed
From-To: feedback->closed

The current version of IM does not build the dummy exr-module, 
when exr-support is explicitly disabled.